package com.qingyun.service.service;

import com.qingyun.service.domain.ContractModelConfig;
import com.qingyun.service.domain.vo.ContractModelConfigVo;
import com.qingyun.service.domain.bo.ContractModelConfigBo;
import com.qingyun.mybatisplus.page.TableDataInfo;
import com.qingyun.common.core.domain.PageQuery;
import com.qingyun.mybatisplus.core.IServicePlus;

import java.util.Collection;
import java.util.List;

/**
 * 模型配置Service接口
 *
 * @author jianlu
 * @date 2025-07-11
 */
public interface IContractModelConfigService extends IServicePlus<ContractModelConfig, ContractModelConfigVo> {

    /**
     * 查询模型配置
     */
    ContractModelConfigVo queryById(String id);

    /**
     * 查询模型配置列表
     */
    TableDataInfo<ContractModelConfigVo> queryPageList(ContractModelConfigBo bo, PageQuery pageQuery);

    /**
     * 查询模型配置列表
     */
    List<ContractModelConfigVo> queryList(ContractModelConfigBo bo);

    /**
     * 新增模型配置
     */
    Boolean insertByBo(ContractModelConfigBo bo);

    /**
     * 修改模型配置
     */
    Boolean updateByBo(ContractModelConfigBo bo);

    /**
     * 校验并批量删除模型配置信息
     */
    Boolean deleteWithValidByIds(Long[] ids, Boolean isValid);
}
